!!MP Inlines.f

C	An example of a FORTRAN Resource for Microsoft Excel 3.0
C	This example call illustrates the use of Signed Integer
C	Data, Data Type I. Testing for this example was done with
C	Language Systems FORTRAN version 3.0
C	
C	Below are the commands that were executed to create the 
C	code resource

!!IFC FALSE
 FORTRAN DATAI.f -opt=1 -noimplicit
Link -w -f -srt -ad 4 -t '????' -c '????' ¶
-m DATAI -sn Main=DATAI ¶
-sn f_RunTime=DATAI ¶
-sn f_Intrinsics=DATAI ¶
	DATAI.f.o ¶
	"{FLibraries}"OutpwStubs.o ¶
	"{Libraries}"Runtime.o ¶
	"{Libraries}"Interface.o ¶
	"{FLibraries}"FORTRANlib.o ¶
	"{FLibraries}"IntrinsicLib.o ¶
	"{FLibraries}"FSANELib.o ¶
	-o DATAI.rsc
!!ENDC

C	Source code

	integer*2 function DATAI(%val(a))
	
	integer*2 a
	
		DATAI =  a * 2
	
	return
	end
	
		
	